/*****************************************************************************/
/* BRIDGE MEDIA QUERIES
/*
/* This will control the 'whole_page' Breakpoints setting for the this page
/*
/*****************************************************************************/

@media only screen and (min-width: 100px) {

    /* DEFAULT Setting */
    .whole_page_XXX {
        min-height: 100vh;
        display: grid;
        grid-template-rows: auto auto auto 1fr auto;
        grid-template-columns: 5fr 1fr 7fr 1fr 5fr;
        grid-template-areas:
                "top_row top_row top_row top_row top_row"
                "navbar navbar navbar navbar navbar"
                ". block_1 block_1 block_1 ."
                ". block_2 block_2 block_2 ."
                ". footer footer footer .";
    }

    .block_1 {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-areas:
                "page_title_area page_title_area page_title_area page_title_area"
                "description_area description_area description_area description_area";
        width: 100%;
    }


    .block_2 {
        display: grid;
        grid-template-rows: 1fr 0.1fr 0.1fr;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-areas:
                "b2_row1 b2_row1 b2_row1 b2_row1"
                "b2_row2 b2_row2 b2_row2 b2_row2"
                "b2_row3 b2_row3 b2_row3 b2_row3";
        height: fit-content;
    }

    .b2_row1 {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-areas:
                "player_details_fieldset player_details_fieldset player_details_fieldset player_details_fieldset";
    }

    .player_details_fieldset{
        display: grid;
        /*grid-template-rows: 1fr 0.1fr 0.1fr;*/
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
                "xxx_form xxx_form";
        height: fit-content;
    }

    .xxx_form{
        display: grid;
        grid-template-columns: 1fr auto;
        grid-template-areas:
                "xxx_header_details xxx_header_details"
                "xxx_textbox_1_title xxx_textbox_1_elem"
                "xxx_textbox_2_title xxx_textbox_2_elem"
                "xxx_textbox_3_title xxx_textbox_3_elem"
                "xxx_textbox_4_title xxx_textbox_4_elem"
                "xxx_textbox_5_title xxx_textbox_5_elem"
                "xxx_ddl_1_title xxx_ddl_1_elem"
                "xxx_ddl_2_title xxx_ddl_2_elem"
                "xxx_tickbox_1_words xxx_tickbox_1_elem";
    }
}

/* Screen Drag 2900 -  */
/*@media only screen and (max-width: 2900px) {*/
/*    .whole_page_gender {*/
/*        display: grid;*/
/*        grid-template-columns: 4fr 1fr 7fr 1fr 4fr;*/
/*    }*/
/*}*/
